[Backgroundrb-devel] Error when loading backgroundrb

Joe Van Dyk joevandyk at gmail.com
Sat Dec 15 14:14:28 EST 2007


Perhaps add a check for ruby 1.8.5 to bdrb?


On 12/13/07, hemant kumar <gethemant at gmail.com> wrote:
>
> On Fri, 2007-12-14 at 01:26 -0500, Todd Persen wrote:
> > I'm getting the following error (when doing script/backgroundrb start)
> > on my local machine, which is running os x 10.4.11.  However, it
> > works just fine on my linux server.
> >
> > RAILS_ROOT/vendor/plugins/backgroundrb/lib/../framework/nbio.rb:64:in
> > `dump_object': undefined method `write_nonblock' for #<UNIXSocket:
> > 0x135b5f4> (NoMethodError)
> >
> > I just grabbed the latest (r274) from the repository, and my Packet
> > gems are identical.  I also deleted the backgroundrb script and re-
> > ran rake backgroundrb:setup.
>
> Grab latest code.
>
> Also, you are running older version of Ruby perhaps. You need Ruby >
> 1.8.5 for using bdrb.
>
>
> --
> Let them talk of their oriental summer climes of everlasting
> conservatories; give me the privilege of making my own summer with my
> own coals.
>
> http://gnufied.org
>
> _______________________________________________
> Backgroundrb-devel mailing list
> Backgroundrb-devel at rubyforge.org
> http://rubyforge.org/mailman/listinfo/backgroundrb-devel
>


More information about the Backgroundrb-devel mailing list